Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

Path Parameters

id
string
required

The id of the requested resource

Query Parameters

limit
integer
default:10

The number of items to return

Required range: 1 <= x <= 100
offset
integer
default:0

How many items to skip (use in conjunction with limit for pagination)

Required range: x >= 0
q
string

Raw experiment search/filter string (same syntax as the app's experiment list filters, e.g. status:running tag:checkout). Negation (!) and operators (~, ^, >, <, =) are not supported and return a 400

projectId
string

Filter by comma-separated project ids or names

owner
string

Filter by comma-separated owner ids, names, or emails

status
string

Filter by comma-separated statuses (draft, running, stopped)

result
string

Filter by comma-separated results (won, lost, inconclusive, dnf)

tag
string

Filter by comma-separated tags

type
string

Filter by comma-separated experiment types (feature, visualChange, redirect)

bandits
enum<string>

When true, return only multi-armed bandits; when false, exclude them

Available options:
true,
false
startDate
string

Only include experiments that have a phase which ended on or after this date

endDate
string

Only include experiments that have a phase which ended on or before this date

Response

200 - application/json

Successful response

experimentResults
object[]
required
limit
integer
required
offset
integer
required
count
integer
required
total
integer
required
hasMore
boolean
required
nextOffset
integer | null
required